DiskUsage (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class DiskUsage

    java.lang.Object
      org.hyperic.sigar.DiskUsage

All Implemented Interfaces:
  java.io.Serializable

    public class DiskUsage

extends java.lang.Object
implements java.io.Serializable

DiskUsage sigar class.

See Also:
  Serialized Form

Constructor Summary
`DiskUsage()`

Method Summary
`void` | `gather(Sigar sigar, java.lang.String name)`
`double` | `getQueue()` Get the queue.
`long` | `getReadBytes()` Get the Number of physical disk bytes read.
`long` | `getReads()` Get the Number of physical disk reads.
`double` | `getServiceTime()` Get the service_time.
`long` | `getWriteBytes()` Get the Number of physical disk bytes written.
`long` | `getWrites()` Get the Number of physical disk writes.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiskUsage

    public DiskUsage()

Method Detail

### gather

    public void gather(Sigar sigar,
                       java.lang.String name)
                throws SigarException

  Throws:
    `SigarException`

### getReads

    public long getReads()

  Get the Number of physical disk reads.

  Supported Platforms: AIX, FreeBSD, HPUX, Linux, Solaris, Win32.

  Returns:
    Number of physical disk reads

### getWrites

    public long getWrites()

  Get the Number of physical disk writes.

  Supported Platforms: AIX, FreeBSD, HPUX, Linux, Solaris, Win32.

  Returns:
    Number of physical disk writes

### getReadBytes

    public long getReadBytes()

  Get the Number of physical disk bytes read.

  Supported Platforms: Undocumented.

  Returns:
    Number of physical disk bytes read

### getWriteBytes

    public long getWriteBytes()

  Get the Number of physical disk bytes written.

  Supported Platforms: Undocumented.

  Returns:
    Number of physical disk bytes written

### getQueue

    public double getQueue()

  Get the queue.

  Supported Platforms: Undocumented.

  Returns:
    queue

### getServiceTime

    public double getServiceTime()

  Get the service_time.

  Supported Platforms: Undocumented.

  Returns:
    service_time

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.